Orxonox: OIS::MacHIDManager Class Reference

# OIS::MacHIDManager Class Reference

`#include <src/ois/mac/MacHIDManager.h>`

Inheritance diagram for OIS::MacHIDManager:

List of all members.

## Public Member Functions

Object * | createObject (InputManager *creator, Type iType, bool bufferMode, const std::string &vendor="")
void | destroyObject (Object *obj)
DeviceList | freeDeviceList ()
int | freeDevices (Type iType)
void | initialize ()
| MacHIDManager ()
int | totalDevices (Type iType)
bool | vendorExist (Type iType, const std::string &vendor)
| ~MacHIDManager ()

## Private Member Functions

HidInfo * | enumerateDeviceProperties (CFMutableDictionaryRef propertyMap)
void | parseDeviceProperties (CFDictionaryRef properties)
void | parseDevicePropertiesGroup (CFDictionaryRef properties)

## Private Attributes

HidInfoList | mDeviceList

## Constructor & Destructor Documentation

MacHIDManager::MacHIDManager | ( |  | ) |

MacHIDManager::~MacHIDManager | ( |  | ) |

## Member Function Documentation

Object * MacHIDManager::createObject | ( | InputManager * | creator,
|  | Type | iType,
|  | bool | bufferMode,
|  | const std::string & | vendor = `""` |
| ) |  |  | `[virtual]`

Remarks:
  Creates the object

Parameters:

  | iType | Type to create
  | bufferMode | True to setup for buffered events
  | vendor | Create a device with the vendor name, "" means vendor name is unimportant

Implements OIS::FactoryCreator.

References OIS::E_InputDeviceNonExistant, mDeviceList, and OIS_EXCEPT.

void MacHIDManager::destroyObject | ( | Object * | obj | ) | `[virtual]`

Remarks:
  Destroys object

Parameters:

  | obj | Object to destroy

Implements OIS::FactoryCreator.

HidInfo * MacHIDManager::enumerateDeviceProperties | ( | CFMutableDictionaryRef | propertyMap | ) | `[private]`

References OIS::HidInfo::combinedKey, OIS::OISJoyStick, parseDeviceProperties(), OIS::HidInfo::productKey, OIS::HidInfo::type, and OIS::HidInfo::vendor.

Referenced by initialize().

DeviceList MacHIDManager::freeDeviceList | ( |  | ) | `[virtual]`

Implements OIS::FactoryCreator.

References mDeviceList.

int MacHIDManager::freeDevices | ( | Type | iType | ) | `[virtual]`

Remarks:
  Number of free devices of requested type

Parameters:

  | iType | Type of devices to check

Implements OIS::FactoryCreator.

References mDeviceList.

void MacHIDManager::initialize | ( |  | ) |

Testing opening / closing interface

References OIS::E_General, enumerateDeviceProperties(), mDeviceList, and OIS_EXCEPT.

Referenced by OIS::MacInputManager::_initialize().

void MacHIDManager::parseDeviceProperties | ( | CFDictionaryRef | properties | ) | `[private]`

References getInt32(), and parseDevicePropertiesGroup().

Referenced by enumerateDeviceProperties().

void MacHIDManager::parseDevicePropertiesGroup | ( | CFDictionaryRef | properties | ) | `[private]`

References getInt32().

Referenced by parseDeviceProperties().

int MacHIDManager::totalDevices | ( | Type | iType | ) | `[virtual]`

Remarks:
  Number of total devices of requested type

Parameters:

  | iType | Type of devices to check

Implements OIS::FactoryCreator.

References mDeviceList.

bool MacHIDManager::vendorExist | ( | Type | iType,
|  | const std::string & | vendor |
| ) |  |  | `[virtual]`

Remarks:
  Does a Type exist with the given vendor name

Parameters:

  | iType | Type to check
  | vendor | Vendor name to test

Implements OIS::FactoryCreator.

References mDeviceList.

## Member Data Documentation

HidInfoList OIS::MacHIDManager::mDeviceList`[private]`

Referenced by createObject(), freeDeviceList(), freeDevices(), initialize(), totalDevices(), and vendorExist().

The documentation for this class was generated from the following files:

- src/ois/mac/MacHIDManager.h
- src/ois/mac/MacHIDManager.cpp